Last modified: 2014-09-05 10:31:00 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 66934 - Help documentation should mention the cache time
Help documentation should mention the cache time
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
GlobalUserPage (Other open bugs)
unspecified
All All
: Unprioritized enhancement (vote)
: ---
Assigned To: Quiddity
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2014-06-22 02:49 UTC by Quiddity
Modified: 2014-09-05 10:31 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Quiddity 2014-06-22 02:49:55 UTC
[[mw:Extension:GlobalUserPage]] says "The $wgGlobalUserpageCacheExpiry controls how long to cache the rendered HTML for; the default is 60 * 60 * 24 * 7 (one week)."

Testing at shoutwiki confirms that the GlobalUserPage is cached, and changes to the GlobalUserPage do not immediately show up at local pages.

This point should be mentioned in the main documentation at [Help:Global user page], to avoid user-confusion.
Comment 1 Kunal Mehta (Legoktm) 2014-06-22 03:23:17 UTC
Instead of just saying it won't update for a week, I73ac36e6f9d3e4dfc21f518645bf8691bb6d9274 will introduce proper cache invalidation, so no documentation should be needed.

That said, if you use action=purge (right now), it should clear the cache.
Comment 2 Quiddity 2014-06-22 08:14:10 UTC
(In reply to Kunal Mehta (Legoktm) from comment #1)
> Instead of just saying it won't update for a week,
> I73ac36e6f9d3e4dfc21f518645bf8691bb6d9274 will introduce proper cache
> invalidation, so no documentation should be needed.
> 

woo!

> That said, if you use action=purge (right now), it should clear the cache.

Nope.  I edited http://www.shoutwiki.com/wiki/User:Monkeytest and tried purging http://commandos.shoutwiki.com/wiki/User:Monkeytest (at both ends) but nothing changed at the latter, even after 6 hours.
Comment 3 Quiddity 2014-08-16 02:20:53 UTC
(In reply to Kunal Mehta (Legoktm) from comment #1)
> Instead of just saying it won't update for a week,
> I73ac36e6f9d3e4dfc21f518645bf8691bb6d9274 will introduce proper cache
> invalidation, so no documentation should be needed.

Hmm, that patch was merged, but my example pages at shoutwiki are still being cached (and are un-purgeable).  Perhaps it's still using an older version of the extension?

For now, I've mentioned the cache in the (draft) documentation, at https://www.mediawiki.org/wiki/Help:Extension:GlobalUserPage

(Feel free to close this bug, or repurpose it for the cache issue itself)
Comment 4 Kunal Mehta (Legoktm) 2014-09-05 10:31:00 UTC
I32cd876485398b5b860c375797e70bb7d8e31cd9 re-does the caching thing, but I'm closing this since it is now documented, as requested. There will always be some weird cases where the cache invalidation doesn't work, and in those cases we'll depend on the 1 week expiry.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links